#!/bin/bash -f
# Vivado (TM) v2016.4 (64-bit)
#
# Filename    : system_design.sh
# Simulator   : Synopsys Verilog Compiler Simulator
# Description : Simulation script for compiling, elaborating and verifying the project source files.
#               The script will automatically create the design libraries sub-directories in the run
#               directory, add the library logical mappings in the simulator setup file, create default
#               'do/prj' file, execute compilation, elaboration and simulation steps.
#
# Generated by Vivado on Wed Mar 07 14:51:46 CET 2018
# IP Build 1755317 on Mon Jan 23 20:30:07 MST 2017 
#
# usage: system_design.sh [-help]
# usage: system_design.sh [-lib_map_path]
# usage: system_design.sh [-noclean_files]
# usage: system_design.sh [-reset_run]
#
# Prerequisite:- To compile and run simulation, you must compile the Xilinx simulation libraries using the
# 'compile_simlib' TCL command. For more information about this command, run 'compile_simlib -help' in the
# Vivado Tcl Shell. Once the libraries have been compiled successfully, specify the -lib_map_path switch
# that points to these libraries and rerun export_simulation. For more information about this switch please
# type 'export_simulation -help' in the Tcl shell.
#
# You can also point to the simulation libraries by either replacing the <SPECIFY_COMPILED_LIB_PATH> in this
# script with the compiled library directory path or specify this path with the '-lib_map_path' switch when
# executing this script. Please type 'system_design.sh -help' for more information.
#
# Additional references - 'Xilinx Vivado Design Suite User Guide:Logic simulation (UG900)'
#
# ********************************************************************************************************

# Directory path for design sources and include directories (if any) wrt this path
ref_dir="."

# Override directory with 'export_sim_ref_dir' env path value if set in the shell
if [[ (! -z "$export_sim_ref_dir") && ($export_sim_ref_dir != "") ]]; then
  ref_dir="$export_sim_ref_dir"
fi

# Command line options
vlogan_opts="-full64"
vhdlan_opts="-full64"
vcs_elab_opts="-load "/home/xilinx/Vivado/2016.4/lib/lnx64.o/libxil_vcs.so:xilinx_register_systf" -full64 -debug_pp -t ps -licqueue -l elaborate.log"
vcs_sim_opts="-ucli -licqueue -l simulate.log"

# Design libraries
design_libs=(xil_defaultlib xpm processing_system7_bfm_v2_0_5 hdl_lib lib_cdc_v1_0_2 proc_sys_reset_v5_0_10 proc_common_v3_00_a axi_lite_ipif_v1_01_a lib_pkg_v1_0_2 fifo_generator_v13_1_3 lib_fifo_v1_0_7 lib_srl_fifo_v1_0_2 axi_datamover_v5_1_13 axi_sg_v4_1_5 axi_dma_v7_1_12 axi_lite_ipif_v3_0_4 axi_uartlite_v2_0_15 generic_baseblocks_v2_1_0 axi_infrastructure_v1_1_0 axi_register_slice_v2_1_11 axi_data_fifo_v2_1_10 axi_crossbar_v2_1_12 axi_protocol_converter_v2_1_11)

# Simulation root library directory
sim_lib_dir="vcs"

# Script info
echo -e "system_design.sh - Script generated by export_simulation (Vivado v2016.4 (64-bit)-id)\n"

# Main steps
run()
{
  check_args $# $1
  setup $1 $2
  compile
  elaborate
  simulate
}

# RUN_STEP: <compile>
compile()
{
  # Compile design files
  vlogan -work xil_defaultlib $vlogan_opts -sverilog +incdir+"$ref_dir/../../../../FASEC_prototype.srcs/sources_1/bd/system_design/ipshared/7dd0/hdl" +incdir+"$ref_dir/../../../../FASEC_prototype.srcs/sources_1/bd/system_design/ipshared/7e3a/hdl" \
    "/home/xilinx/Vivado/2016.4/data/ip/xpm/xpm_cdc/hdl/xpm_cdc.sv" \
    "/home/xilinx/Vivado/2016.4/data/ip/xpm/xpm_memory/hdl/xpm_memory.sv" \
  2>&1 | tee -a vlogan.log

  vhdlan -work xpm $vhdlan_opts \
    "/home/xilinx/Vivado/2016.4/data/ip/xpm/xpm_VCOMP.vhd" \
  2>&1 | tee -a vhdlan.log

  vlogan -work processing_system7_bfm_v2_0_5 $vlogan_opts +v2k +incdir+"$ref_dir/../../../../FASEC_prototype.srcs/sources_1/bd/system_design/ipshared/7dd0/hdl" +incdir+"$ref_dir/../../../../FASEC_prototype.srcs/sources_1/bd/system_design/ipshared/7e3a/hdl" \
    "$ref_dir/../../../../FASEC_prototype.srcs/sources_1/bd/system_design/ipshared/7dd0/hdl/processing_system7_bfm_v2_0_vl_rfs.v" \
  2>&1 | tee -a vlogan.log

  vlogan -work xil_defaultlib $vlogan_opts +v2k +incdir+"$ref_dir/../../../../FASEC_prototype.srcs/sources_1/bd/system_design/ipshared/7dd0/hdl" +incdir+"$ref_dir/../../../../FASEC_prototype.srcs/sources_1/bd/system_design/ipshared/7e3a/hdl" \
    "$ref_dir/../../../bd/system_design/ip/system_design_processing_system7_0_0/sim/system_design_processing_system7_0_0.v" \
  2>&1 | tee -a vlogan.log

  vhdlan -work hdl_lib $vhdlan_opts \
    "$ref_dir/../../../bd/system_design/ipshared/08a5/ip_cores/hdl_lib/modules/general/spi_transceiver.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/08a5/ip_cores/hdl_lib/modules/general/doubleBufferEdge.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/08a5/ip_cores/hdl_lib/modules/general/counterUpDown.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/08a5/ip_cores/hdl_lib/modules/main_pkg.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/08a5/ip_cores/hdl_lib/modules/general/pulseMeasure.vhd" \
  2>&1 | tee -a vhdlan.log

  vhdlan -work xil_defaultlib $vhdlan_opts \
    "$ref_dir/../../../bd/system_design/ipshared/08a5/FASEC_hwtest.srcs/sources_1/new/dac7716_spi.vhd" \
  2>&1 | tee -a vhdlan.log

  vhdlan -work hdl_lib $vhdlan_opts \
    "$ref_dir/../../../bd/system_design/ipshared/08a5/ip_cores/hdl_lib/modules/axi4/axi4lite_slave.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/08a5/ip_cores/hdl_lib/modules/general/clockDivider.vhd" \
  2>&1 | tee -a vhdlan.log

  vhdlan -work xil_defaultlib $vhdlan_opts \
    "$ref_dir/../../../bd/system_design/ipshared/08a5/FASEC_hwtest.srcs/sources_1/new/general_fmc.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/08a5/FASEC_hwtest.srcs/sources_1/new/top_mod.vhd" \
    "$ref_dir/../../../bd/system_design/ip/system_design_fasec_hwtest_0_0/sim/system_design_fasec_hwtest_0_0.vhd" \
  2>&1 | tee -a vhdlan.log

  vhdlan -work lib_cdc_v1_0_2 $vhdlan_opts \
    "$ref_dir/../../../../FASEC_prototype.srcs/sources_1/bd/system_design/ipshared/52cb/hdl/lib_cdc_v1_0_rfs.vhd" \
  2>&1 | tee -a vhdlan.log

  vhdlan -work proc_sys_reset_v5_0_10 $vhdlan_opts \
    "$ref_dir/../../../../FASEC_prototype.srcs/sources_1/bd/system_design/ipshared/04b4/hdl/proc_sys_reset_v5_0_vh_rfs.vhd" \
  2>&1 | tee -a vhdlan.log

  vhdlan -work xil_defaultlib $vhdlan_opts \
    "$ref_dir/../../../bd/system_design/ip/system_design_rst_processing_system7_0_100M_2/sim/system_design_rst_processing_system7_0_100M_2.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/e147/xlconstant.vhd" \
    "$ref_dir/../../../bd/system_design/ip/system_design_xlconstant_3_2/sim/system_design_xlconstant_3_2.vhd" \
    "$ref_dir/../../../bd/system_design/ip/system_design_xadc_wiz_0_0/proc_common_v3_30_a/hdl/src/vhdl/system_design_xadc_wiz_0_0_conv_funs_pkg.vhd" \
    "$ref_dir/../../../bd/system_design/ip/system_design_xadc_wiz_0_0/proc_common_v3_30_a/hdl/src/vhdl/system_design_xadc_wiz_0_0_proc_common_pkg.vhd" \
    "$ref_dir/../../../bd/system_design/ip/system_design_xadc_wiz_0_0/proc_common_v3_30_a/hdl/src/vhdl/system_design_xadc_wiz_0_0_ipif_pkg.vhd" \
    "$ref_dir/../../../bd/system_design/ip/system_design_xadc_wiz_0_0/proc_common_v3_30_a/hdl/src/vhdl/system_design_xadc_wiz_0_0_family_support.vhd" \
    "$ref_dir/../../../bd/system_design/ip/system_design_xadc_wiz_0_0/proc_common_v3_30_a/hdl/src/vhdl/system_design_xadc_wiz_0_0_family.vhd" \
    "$ref_dir/../../../bd/system_design/ip/system_design_xadc_wiz_0_0/proc_common_v3_30_a/hdl/src/vhdl/system_design_xadc_wiz_0_0_soft_reset.vhd" \
    "$ref_dir/../../../bd/system_design/ip/system_design_xadc_wiz_0_0/proc_common_v3_30_a/hdl/src/vhdl/system_design_xadc_wiz_0_0_pselect_f.vhd" \
    "$ref_dir/../../../bd/system_design/ip/system_design_xadc_wiz_0_0/axi_lite_ipif_v1_01_a/hdl/src/vhdl/system_design_xadc_wiz_0_0_address_decoder.vhd" \
    "$ref_dir/../../../bd/system_design/ip/system_design_xadc_wiz_0_0/axi_lite_ipif_v1_01_a/hdl/src/vhdl/system_design_xadc_wiz_0_0_slave_attachment.vhd" \
    "$ref_dir/../../../bd/system_design/ip/system_design_xadc_wiz_0_0/interrupt_control_v2_01_a/hdl/src/vhdl/system_design_xadc_wiz_0_0_interrupt_control.vhd" \
    "$ref_dir/../../../bd/system_design/ip/system_design_xadc_wiz_0_0/axi_lite_ipif_v1_01_a/hdl/src/vhdl/system_design_xadc_wiz_0_0_axi_lite_ipif.vhd" \
    "$ref_dir/../../../bd/system_design/ip/system_design_xadc_wiz_0_0/system_design_xadc_wiz_0_0_drp_arbiter.vhd" \
    "$ref_dir/../../../bd/system_design/ip/system_design_xadc_wiz_0_0/system_design_xadc_wiz_0_0_drp_to_axi_stream.vhd" \
    "$ref_dir/../../../bd/system_design/ip/system_design_xadc_wiz_0_0/system_design_xadc_wiz_0_0_xadc_core_drp.vhd" \
    "$ref_dir/../../../bd/system_design/ip/system_design_xadc_wiz_0_0/system_design_xadc_wiz_0_0_axi_xadc.vhd" \
    "$ref_dir/../../../bd/system_design/ip/system_design_xadc_wiz_0_0/system_design_xadc_wiz_0_0.vhd" \
  2>&1 | tee -a vhdlan.log

  vhdlan -work proc_common_v3_00_a $vhdlan_opts \
    "$ref_dir/../../../bd/system_design/ipshared/a5fe/fifo_adapter.srcs/sources_1/imports/vhdl/proc_common_pkg.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/a5fe/fifo_adapter.srcs/sources_1/imports/vhdl/family_support.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/a5fe/fifo_adapter.srcs/sources_1/imports/vhdl/pselect_f.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/a5fe/fifo_adapter.srcs/sources_1/imports/vhdl/ipif_pkg.vhd" \
  2>&1 | tee -a vhdlan.log

  vhdlan -work axi_lite_ipif_v1_01_a $vhdlan_opts \
    "$ref_dir/../../../bd/system_design/ipshared/a5fe/fifo_adapter.srcs/sources_1/imports/vhdl/address_decoder.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/a5fe/fifo_adapter.srcs/sources_1/imports/vhdl/slave_attachment.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/a5fe/fifo_adapter.srcs/sources_1/imports/vhdl/axi_lite_ipif.vhd" \
  2>&1 | tee -a vhdlan.log

  vhdlan -work xil_defaultlib $vhdlan_opts \
    "$ref_dir/../../../bd/system_design/ipshared/a5fe/fifo_adapter.srcs/sources_1/imports/hdl/xadc_axis_fifo_adapter.vhd" \
    "$ref_dir/../../../bd/system_design/ip/system_design_xadc_axis_fifo_adapter_0_0/sim/system_design_xadc_axis_fifo_adapter_0_0.vhd" \
  2>&1 | tee -a vhdlan.log

  vhdlan -work lib_pkg_v1_0_2 $vhdlan_opts \
    "$ref_dir/../../../../FASEC_prototype.srcs/sources_1/bd/system_design/ipshared/832a/hdl/lib_pkg_v1_0_rfs.vhd" \
  2>&1 | tee -a vhdlan.log

  vlogan -work fifo_generator_v13_1_3 $vlogan_opts +v2k +incdir+"$ref_dir/../../../../FASEC_prototype.srcs/sources_1/bd/system_design/ipshared/7dd0/hdl" +incdir+"$ref_dir/../../../../FASEC_prototype.srcs/sources_1/bd/system_design/ipshared/7e3a/hdl" \
    "$ref_dir/../../../../FASEC_prototype.srcs/sources_1/bd/system_design/ipshared/564d/simulation/fifo_generator_vlog_beh.v" \
  2>&1 | tee -a vlogan.log

  vhdlan -work fifo_generator_v13_1_3 $vhdlan_opts \
    "$ref_dir/../../../../FASEC_prototype.srcs/sources_1/bd/system_design/ipshared/564d/hdl/fifo_generator_v13_1_rfs.vhd" \
  2>&1 | tee -a vhdlan.log

  vlogan -work fifo_generator_v13_1_3 $vlogan_opts +v2k +incdir+"$ref_dir/../../../../FASEC_prototype.srcs/sources_1/bd/system_design/ipshared/7dd0/hdl" +incdir+"$ref_dir/../../../../FASEC_prototype.srcs/sources_1/bd/system_design/ipshared/7e3a/hdl" \
    "$ref_dir/../../../../FASEC_prototype.srcs/sources_1/bd/system_design/ipshared/564d/hdl/fifo_generator_v13_1_rfs.v" \
  2>&1 | tee -a vlogan.log

  vhdlan -work lib_fifo_v1_0_7 $vhdlan_opts \
    "$ref_dir/../../../../FASEC_prototype.srcs/sources_1/bd/system_design/ipshared/5ab6/hdl/lib_fifo_v1_0_rfs.vhd" \
  2>&1 | tee -a vhdlan.log

  vhdlan -work lib_srl_fifo_v1_0_2 $vhdlan_opts \
    "$ref_dir/../../../../FASEC_prototype.srcs/sources_1/bd/system_design/ipshared/6039/hdl/lib_srl_fifo_v1_0_rfs.vhd" \
  2>&1 | tee -a vhdlan.log

  vhdlan -work axi_datamover_v5_1_13 $vhdlan_opts \
    "$ref_dir/../../../../FASEC_prototype.srcs/sources_1/bd/system_design/ipshared/bf41/hdl/axi_datamover_v5_1_vh_rfs.vhd" \
  2>&1 | tee -a vhdlan.log

  vhdlan -work axi_sg_v4_1_5 $vhdlan_opts \
    "$ref_dir/../../../../FASEC_prototype.srcs/sources_1/bd/system_design/ipshared/11c7/hdl/axi_sg_v4_1_rfs.vhd" \
  2>&1 | tee -a vhdlan.log

  vhdlan -work axi_dma_v7_1_12 $vhdlan_opts \
    "$ref_dir/../../../../FASEC_prototype.srcs/sources_1/bd/system_design/ipshared/46c7/hdl/axi_dma_v7_1_vh_rfs.vhd" \
  2>&1 | tee -a vhdlan.log

  vhdlan -work xil_defaultlib $vhdlan_opts \
    "$ref_dir/../../../bd/system_design/ip/system_design_axi_dma_0_0/sim/system_design_axi_dma_0_0.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/2e37/xlconcat.vhd" \
    "$ref_dir/../../../bd/system_design/ip/system_design_xlconcat_0_0/sim/system_design_xlconcat_0_0.vhd" \
  2>&1 | tee -a vhdlan.log

  vlogan -work xil_defaultlib $vlogan_opts +v2k +incdir+"$ref_dir/../../../../FASEC_prototype.srcs/sources_1/bd/system_design/ipshared/7dd0/hdl" +incdir+"$ref_dir/../../../../FASEC_prototype.srcs/sources_1/bd/system_design/ipshared/7e3a/hdl" \
    "$ref_dir/../../../bd/system_design/ip/system_design_wrc_1p_kintex7_0_0/ip_cores/xilinx_ip/mux_buffering_fifo/sim/mux_buffering_fifo.v" \
  2>&1 | tee -a vlogan.log

  vhdlan -work xil_defaultlib $vhdlan_opts \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/ip_cores/general-cores/modules/genrams/genram_pkg.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/ip_cores/general-cores/modules/genrams/memory_loader_pkg.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/ip_cores/general-cores/modules/wishbone/wishbone_pkg.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/lm32_sw/wrc.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/modules/fabric/wr_fabric_pkg.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/ip_cores/general-cores/modules/genrams/xilinx/generic_dpram_sameclock.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/ip_cores/general-cores/modules/genrams/xilinx/generic_dpram_dualclock.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/ip_cores/general-cores/modules/genrams/xilinx/lm32_dpram_sameclock.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/modules/wr_endpoint/endpoint_pkg.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/modules/wr_endpoint/ep_registers_pkg.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/ip_cores/general-cores/modules/genrams/xilinx/generic_dpram.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/ip_cores/general-cores/modules/common/gencores_pkg.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/modules/wr_endpoint/endpoint_private_pkg.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/ip_cores/general-cores/modules/genrams/inferred_sync_fifo.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/ip_cores/general-cores/modules/genrams/inferred_async_fifo.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/ip_cores/general-cores/modules/wishbone/wbgen2/wbgen2_pkg.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/modules/wr_endpoint/ep_crc32_pkg.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/modules/wr_endpoint/ep_sync_detect.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/modules/wr_endpoint/ep_sync_detect_16bit.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/ip_cores/general-cores/modules/common/gc_crc_gen.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/ip_cores/general-cores/modules/common/gc_extend_pulse.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/ip_cores/general-cores/modules/common/gc_sync_ffs.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/ip_cores/general-cores/modules/common/gc_pulse_synchronizer.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/ip_cores/general-cores/modules/genrams/xilinx/gc_shiftreg.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/ip_cores/general-cores/modules/genrams/generic/generic_async_fifo.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/ip_cores/general-cores/modules/genrams/generic/generic_sync_fifo.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/ip_cores/general-cores/modules/wishbone/wb_uart/simple_uart_pkg.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/modules/timing/dmtd_with_deglitcher.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/modules/wr_mini_nic/minic_wbgen2_pkg.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/modules/wr_softpll_ng/spll_wbgen2_pkg.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/modules/wr_endpoint/ep_tx_pcs_8bit.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/modules/wr_endpoint/ep_tx_pcs_16bit.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/modules/wr_endpoint/ep_rx_pcs_16bit.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/modules/wr_endpoint/ep_autonegotiation.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/modules/wr_endpoint/ep_pcs_tbi_mdio_wb.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/modules/wr_endpoint/ep_rx_wb_master.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/modules/wr_endpoint/ep_rx_oob_insert.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/modules/wr_endpoint/ep_rx_early_address_match.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/modules/wr_endpoint/ep_clock_alignment_fifo.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/modules/wr_endpoint/ep_packet_filter.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/modules/wr_endpoint/ep_rx_vlan_unit.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/modules/wr_endpoint/ep_ts_counter.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/modules/wr_endpoint/ep_rx_status_reg_insert.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/modules/wr_endpoint/ep_rtu_header_extract.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/modules/wr_endpoint/ep_rx_buffer.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/modules/wr_endpoint/ep_rx_pcs_8bit.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/modules/wr_endpoint/ep_rx_crc_size_check.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/modules/wr_endpoint/ep_tx_header_processor.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/modules/wr_endpoint/ep_tx_crc_inserter.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/modules/wr_endpoint/ep_tx_inject_ctrl.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/modules/wr_endpoint/ep_tx_packet_injection.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/modules/wr_endpoint/ep_tx_vlan_unit.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/ip_cores/general-cores/modules/genrams/generic_shiftreg_fifo.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/ip_cores/general-cores/modules/genrams/xilinx/generic_simple_dpram.vhd" \
  2>&1 | tee -a vhdlan.log

  vlogan -work xil_defaultlib $vlogan_opts +v2k +incdir+"$ref_dir/../../../../FASEC_prototype.srcs/sources_1/bd/system_design/ipshared/7dd0/hdl" +incdir+"$ref_dir/../../../../FASEC_prototype.srcs/sources_1/bd/system_design/ipshared/7e3a/hdl" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/ip_cores/general-cores/modules/wishbone/wb_onewire_master/sockit_owm.v" \
  2>&1 | tee -a vlogan.log

  vhdlan -work xil_defaultlib $vhdlan_opts \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/ip_cores/general-cores/modules/wishbone/wb_uart/uart_async_rx.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/ip_cores/general-cores/modules/wishbone/wb_uart/uart_async_tx.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/ip_cores/general-cores/modules/wishbone/wb_uart/uart_baud_gen.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/ip_cores/general-cores/modules/wishbone/wb_uart/simple_uart_wb.vhd" \
  2>&1 | tee -a vhdlan.log

  vlogan -work xil_defaultlib $vlogan_opts +v2k +incdir+"$ref_dir/../../../../FASEC_prototype.srcs/sources_1/bd/system_design/ipshared/7dd0/hdl" +incdir+"$ref_dir/../../../../FASEC_prototype.srcs/sources_1/bd/system_design/ipshared/7e3a/hdl" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/ip_cores/general-cores/modules/wishbone/wb_lm32/src/lm32_addsub.v" \
  2>&1 | tee -a vlogan.log

  vhdlan -work xil_defaultlib $vhdlan_opts \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/ip_cores/general-cores/modules/wishbone/wb_slave_adapter/wb_slave_adapter.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/ip_cores/general-cores/modules/wishbone/wbgen2/wbgen2_eic.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/ip_cores/general-cores/modules/wishbone/wbgen2/wbgen2_fifo_sync.vhd" \
  2>&1 | tee -a vhdlan.log

  vlogan -work xil_defaultlib $vlogan_opts +v2k +incdir+"$ref_dir/../../../../FASEC_prototype.srcs/sources_1/bd/system_design/ipshared/7dd0/hdl" +incdir+"$ref_dir/../../../../FASEC_prototype.srcs/sources_1/bd/system_design/ipshared/7e3a/hdl" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/ip_cores/general-cores/modules/wishbone/wb_lm32/platform/artix7/jtag_tap.v" \
  2>&1 | tee -a vlogan.log

  vhdlan -work xil_defaultlib $vhdlan_opts \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/modules/wrc_core_2p/wrc_syscon_pkg.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/ip_cores/general-cores/modules/common/gc_pulse_synchronizer2.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/modules/timing/dmtd_phase_meas.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/modules/wr_softpll_ng/softpll_pkg.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/modules/wr_softpll_ng/spll_wb_slave.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/modules/wr_endpoint/ep_1000basex_pcs.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/modules/wr_endpoint/ep_rx_path.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/modules/wr_endpoint/ep_timestamping_unit.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/modules/wr_endpoint/ep_leds_controller.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/modules/wr_endpoint/ep_wishbone_controller.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/modules/wr_pps_gen/pps_gen_wb.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/modules/wr_endpoint/ep_tx_path.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/ip_cores/general-cores/modules/wishbone/wb_onewire_master/wb_onewire_master.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/ip_cores/general-cores/modules/wishbone/wb_uart/wb_simple_uart.vhd" \
  2>&1 | tee -a vhdlan.log

  vlogan -work xil_defaultlib $vlogan_opts +v2k +incdir+"$ref_dir/../../../../FASEC_prototype.srcs/sources_1/bd/system_design/ipshared/7dd0/hdl" +incdir+"$ref_dir/../../../../FASEC_prototype.srcs/sources_1/bd/system_design/ipshared/7e3a/hdl" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/ip_cores/general-cores/modules/wishbone/wb_lm32/src/jtag_cores.v" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/ip_cores/general-cores/modules/wishbone/wb_lm32/src/lm32_adder.v" \
  2>&1 | tee -a vlogan.log

  vhdlan -work xil_defaultlib $vhdlan_opts \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/ip_cores/general-cores/modules/wishbone/wb_lm32/src/lm32_dp_ram.vhd" \
  2>&1 | tee -a vhdlan.log

  vlogan -work xil_defaultlib $vlogan_opts +v2k +incdir+"$ref_dir/../../../../FASEC_prototype.srcs/sources_1/bd/system_design/ipshared/7dd0/hdl" +incdir+"$ref_dir/../../../../FASEC_prototype.srcs/sources_1/bd/system_design/ipshared/7e3a/hdl" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/ip_cores/general-cores/modules/wishbone/wb_lm32/src/lm32_logic_op.v" \
  2>&1 | tee -a vlogan.log

  vhdlan -work xil_defaultlib $vhdlan_opts \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/ip_cores/general-cores/modules/wishbone/wb_lm32/src/lm32_ram.vhd" \
  2>&1 | tee -a vhdlan.log

  vlogan -work xil_defaultlib $vlogan_opts +v2k +incdir+"$ref_dir/../../../../FASEC_prototype.srcs/sources_1/bd/system_design/ipshared/7dd0/hdl" +incdir+"$ref_dir/../../../../FASEC_prototype.srcs/sources_1/bd/system_design/ipshared/7e3a/hdl" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/ip_cores/general-cores/modules/wishbone/wb_lm32/src/lm32_shifter.v" \
  2>&1 | tee -a vlogan.log

  vhdlan -work xil_defaultlib $vhdlan_opts \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/modules/wr_mini_nic/minic_wb_slave.vhd" \
  2>&1 | tee -a vhdlan.log

  vlogan -work xil_defaultlib $vlogan_opts +v2k +incdir+"$ref_dir/../../../../FASEC_prototype.srcs/sources_1/bd/system_design/ipshared/7dd0/hdl" +incdir+"$ref_dir/../../../../FASEC_prototype.srcs/sources_1/bd/system_design/ipshared/7e3a/hdl" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/ip_cores/general-cores/modules/wishbone/wb_lm32/platform/artix7/lm32_multiplier.v" \
  2>&1 | tee -a vlogan.log

  vhdlan -work xil_defaultlib $vhdlan_opts \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/modules/wrc_core_2p/wrc_syscon_wb.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/modules/wr_softpll_ng/spll_aligner.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/ip_cores/general-cores/modules/common/gc_frequency_meter.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/ip_cores/gen7s-cores/modules/gen7s_cores_pkg.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/modules/wr_softpll_ng/wr_softpll_ng.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/modules/wr_endpoint/wr_endpoint.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/modules/wr_pps_gen/wr_pps_gen.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/modules/wr_mini_nic/wr_mini_nic.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/ip_cores/general-cores/modules/wishbone/wb_onewire_master/xwb_onewire_master.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/ip_cores/general-cores/modules/wishbone/wb_uart/xwb_simple_uart.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/ip_cores/general-cores/modules/wishbone/wb_crossbar/sdb_rom.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/ip_cores/general-cores/modules/wishbone/wb_crossbar/xwb_crossbar.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/modules/wrc_core_2p/xwr_syscon_wb.vhd" \
  2>&1 | tee -a vhdlan.log

  vlogan -work xil_defaultlib $vlogan_opts +v2k +incdir+"$ref_dir/../../../../FASEC_prototype.srcs/sources_1/bd/system_design/ipshared/7dd0/hdl" +incdir+"$ref_dir/../../../../FASEC_prototype.srcs/sources_1/bd/system_design/ipshared/7e3a/hdl" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/ip_cores/general-cores/modules/wishbone/wb_lm32/generated/lm32_allprofiles.v" \
  2>&1 | tee -a vlogan.log

  vhdlan -work xil_defaultlib $vhdlan_opts \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/modules/wrc_core_2p/wrcore_2p_pkg.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/modules/fabric/xwrf_mux.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/modules/wr_mini_nic/xwr_mini_nic.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/modules/wr_softpll_ng/xwr_softpll_ng.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/modules/wr_endpoint/xwr_endpoint.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/modules/wr_pps_gen/xwr_pps_gen.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/ip_cores/general-cores/modules/wishbone/wb_dpram/xwb_dpram.vhd" \
  2>&1 | tee -a vhdlan.log

  vlogan -work xil_defaultlib $vlogan_opts +v2k +incdir+"$ref_dir/../../../../FASEC_prototype.srcs/sources_1/bd/system_design/ipshared/7dd0/hdl" +incdir+"$ref_dir/../../../../FASEC_prototype.srcs/sources_1/bd/system_design/ipshared/7e3a/hdl" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/ip_cores/general-cores/modules/wishbone/wb_spi/spi_clgen.v" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/ip_cores/general-cores/modules/wishbone/wb_spi/spi_shift.v" \
  2>&1 | tee -a vlogan.log

  vhdlan -work xil_defaultlib $vhdlan_opts \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/ip_cores/general-cores/modules/wishbone/wb_crossbar/xwb_sdb_crossbar.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/ip_cores/general-cores/modules/wishbone/wb_lm32/generated/xwb_lm32.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/modules/wrc_core_2p/wrc_periph.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/ip_cores/wr-cores/modules/wrc_core/wrcore_pkg.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/modules/wr_tbi_phy/disparity_gen_pkg.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/modules/wr_dacs/spec_serial_dac.vhd" \
  2>&1 | tee -a vhdlan.log

  vlogan -work xil_defaultlib $vlogan_opts +v2k +incdir+"$ref_dir/../../../../FASEC_prototype.srcs/sources_1/bd/system_design/ipshared/7dd0/hdl" +incdir+"$ref_dir/../../../../FASEC_prototype.srcs/sources_1/bd/system_design/ipshared/7e3a/hdl" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/ip_cores/general-cores/modules/wishbone/wb_spi/spi_top.v" \
  2>&1 | tee -a vlogan.log

  vhdlan -work xil_defaultlib $vhdlan_opts \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/ip_cores/gen7s-cores/modules/pll_ad9516_spi/PLL_SPI_ctrl_pkg.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/modules/wrc_core/wr_core.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/ip_cores/wr-cores/platform/xilinx/wr_gtp_phy/whiterabbit_gtxe2_channel_wrapper_gt.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/modules/wr_dacs/spec_serial_dac_arb.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/platform/xilinx/wr_gtp_phy_artix7/wr_a7_gtps_pkg.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/ip_cores/gen7s-cores/modules/common/ext_pll_10_to_62_compensated.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/ip_cores/wr-cores/modules/wrc_core/xwr_core.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/ip_cores/wr-cores/platform/xilinx/wr_gtp_phy/wr_gtx_phy_kintex7.vhd" \
  2>&1 | tee -a vhdlan.log

  vhdlan -work hdl_lib $vhdlan_opts \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/ip_cores/hdl_lib/modules/general/spi_transceiver.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/ip_cores/hdl_lib/modules/general/doubleBuffer.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/ip_cores/hdl_lib/modules/general/doubleBufferVector.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/ip_cores/hdl_lib/modules/general/shiftRegister.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/ip_cores/hdl_lib/modules/main_pkg.vhd" \
  2>&1 | tee -a vhdlan.log

  vlogan -work xil_defaultlib $vlogan_opts +v2k +incdir+"$ref_dir/../../../../FASEC_prototype.srcs/sources_1/bd/system_design/ipshared/7dd0/hdl" +incdir+"$ref_dir/../../../../FASEC_prototype.srcs/sources_1/bd/system_design/ipshared/7e3a/hdl" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/ip_cores/general-cores/modules/wishbone/wb_spi/spi_defines.v" \
  2>&1 | tee -a vlogan.log

  vhdlan -work xil_defaultlib $vhdlan_opts \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/modules/wr_si57x_interface/si570_if_wbgen2_pkg.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/modules/wr_eca/eca_pkg.vhd" \
  2>&1 | tee -a vhdlan.log

  vhdlan -work hdl_lib $vhdlan_opts \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/ip_cores/hdl_lib/modules/axi4/axis_wbm_bridge.vhd" \
  2>&1 | tee -a vhdlan.log

  vhdlan -work xil_defaultlib $vhdlan_opts \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/ip_cores/general-cores/modules/wishbone/wb_irq/wb_irq_pkg.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/modules/wr_tlu/wb_cores_pkg_gsi.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/ip_cores/general-cores/modules/wishbone/wb_simple_pwm/simple_pwm_wbgen2_pkg.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/ip_cores/general-cores/platform/xilinx/wb_xilinx_fpga_loader/xloader_registers_pkg.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/platform/xilinx/wr_gtp_phy_artix7/gtp_serie7_wrapper/gtpe_sync_block.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/platform/xilinx/wr_gtp_phy_artix7/gtp_serie7_wrapper/gtpe_gtrxreset_seq.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/platform/xilinx/wr_gtp_phy_artix7/gtp_serie7_wrapper/gtp2p_wizard_sync_pulse.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/platform/xilinx/wr_gtp_phy_artix7/gtp_serie7_wrapper/gtpe_channel_gt.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/platform/xilinx/wr_gtp_phy_artix7/gtp_serie7_wrapper/gtp2p_wizard_tx_manual_phase_align.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/platform/xilinx/wr_gtp_phy_artix7/gtp_serie7_wrapper/whiterabbit_gtpe_2pchannel_wrapper_gt.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/platform/xilinx/wr_gtp_phy_artix7/gtp_serie7_wrapper/wr_gtp_phy_artix7.vhd" \
  2>&1 | tee -a vhdlan.log

  vlogan -work xil_defaultlib $vlogan_opts +v2k +incdir+"$ref_dir/../../../../FASEC_prototype.srcs/sources_1/bd/system_design/ipshared/7dd0/hdl" +incdir+"$ref_dir/../../../../FASEC_prototype.srcs/sources_1/bd/system_design/ipshared/7e3a/hdl" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/ip_cores/general-cores/modules/wishbone/wb_lm32/src/lm32_include.v" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/ip_cores/general-cores/modules/wishbone/wb_spi/timescale.v" \
  2>&1 | tee -a vlogan.log

  vhdlan -work xil_defaultlib $vhdlan_opts \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/ip_cores/wr-cores/platform/xilinx/wr_gtp_phy/gtp_bitslide.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/dd29/top/wrc-1p-kintex7/wrc_1p_kintex7_top.vhd" \
    "$ref_dir/../../../bd/system_design/ip/system_design_wrc_1p_kintex7_0_0/sim/system_design_wrc_1p_kintex7_0_0.vhd" \
  2>&1 | tee -a vhdlan.log

  vhdlan -work axi_lite_ipif_v3_0_4 $vhdlan_opts \
    "$ref_dir/../../../../FASEC_prototype.srcs/sources_1/bd/system_design/ipshared/0ba0/hdl/axi_lite_ipif_v3_0_vh_rfs.vhd" \
  2>&1 | tee -a vhdlan.log

  vhdlan -work axi_uartlite_v2_0_15 $vhdlan_opts \
    "$ref_dir/../../../../FASEC_prototype.srcs/sources_1/bd/system_design/ipshared/2479/hdl/axi_uartlite_v2_0_vh_rfs.vhd" \
  2>&1 | tee -a vhdlan.log

  vhdlan -work xil_defaultlib $vhdlan_opts \
    "$ref_dir/../../../bd/system_design/ip/system_design_axi_uartlite_0_0/sim/system_design_axi_uartlite_0_0.vhd" \
    "$ref_dir/../../../bd/system_design/ip/system_design_xlconstant_6_0/sim/system_design_xlconstant_6_0.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/2640/modules/i2c_master_bit_ctrl.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/2640/modules/i2c_master_byte_ctrl.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/2640/modules/i2c_master_top.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/2640/modules/axis_to_i2c_wbs.vhd" \
    "$ref_dir/../../../bd/system_design/ipshared/2640/sim/axis_to_i2c_wbs_tb.vhd" \
    "$ref_dir/../../../bd/system_design/ip/system_design_axi_wb_i2c_master_2_0/sim/system_design_axi_wb_i2c_master_2_0.vhd" \
    "$ref_dir/../../../bd/system_design/ip/system_design_axi_wb_i2c_master_0_1/sim/system_design_axi_wb_i2c_master_0_1.vhd" \
    "$ref_dir/../../../bd/system_design/ip/system_design_rst_wrc_1p_kintex7_0_62M_0/sim/system_design_rst_wrc_1p_kintex7_0_62M_0.vhd" \
    "$ref_dir/../../../bd/system_design/ip/system_design_axi_wb_i2c_master_1_0/sim/system_design_axi_wb_i2c_master_1_0.vhd" \
  2>&1 | tee -a vhdlan.log

  vlogan -work generic_baseblocks_v2_1_0 $vlogan_opts +v2k +incdir+"$ref_dir/../../../../FASEC_prototype.srcs/sources_1/bd/system_design/ipshared/7dd0/hdl" +incdir+"$ref_dir/../../../../FASEC_prototype.srcs/sources_1/bd/system_design/ipshared/7e3a/hdl" \
    "$ref_dir/../../../../FASEC_prototype.srcs/sources_1/bd/system_design/ipshared/7ee0/hdl/generic_baseblocks_v2_1_vl_rfs.v" \
  2>&1 | tee -a vlogan.log

  vlogan -work axi_infrastructure_v1_1_0 $vlogan_opts +v2k +incdir+"$ref_dir/../../../../FASEC_prototype.srcs/sources_1/bd/system_design/ipshared/7dd0/hdl" +incdir+"$ref_dir/../../../../FASEC_prototype.srcs/sources_1/bd/system_design/ipshared/7e3a/hdl" \
    "$ref_dir/../../../../FASEC_prototype.srcs/sources_1/bd/system_design/ipshared/7e3a/hdl/axi_infrastructure_v1_1_vl_rfs.v" \
  2>&1 | tee -a vlogan.log

  vlogan -work axi_register_slice_v2_1_11 $vlogan_opts +v2k +incdir+"$ref_dir/../../../../FASEC_prototype.srcs/sources_1/bd/system_design/ipshared/7dd0/hdl" +incdir+"$ref_dir/../../../../FASEC_prototype.srcs/sources_1/bd/system_design/ipshared/7e3a/hdl" \
    "$ref_dir/../../../../FASEC_prototype.srcs/sources_1/bd/system_design/ipshared/0b6b/hdl/axi_register_slice_v2_1_vl_rfs.v" \
  2>&1 | tee -a vlogan.log

  vlogan -work axi_data_fifo_v2_1_10 $vlogan_opts +v2k +incdir+"$ref_dir/../../../../FASEC_prototype.srcs/sources_1/bd/system_design/ipshared/7dd0/hdl" +incdir+"$ref_dir/../../../../FASEC_prototype.srcs/sources_1/bd/system_design/ipshared/7e3a/hdl" \
    "$ref_dir/../../../../FASEC_prototype.srcs/sources_1/bd/system_design/ipshared/39ba/hdl/axi_data_fifo_v2_1_vl_rfs.v" \
  2>&1 | tee -a vlogan.log

  vlogan -work axi_crossbar_v2_1_12 $vlogan_opts +v2k +incdir+"$ref_dir/../../../../FASEC_prototype.srcs/sources_1/bd/system_design/ipshared/7dd0/hdl" +incdir+"$ref_dir/../../../../FASEC_prototype.srcs/sources_1/bd/system_design/ipshared/7e3a/hdl" \
    "$ref_dir/../../../../FASEC_prototype.srcs/sources_1/bd/system_design/ipshared/896d/hdl/axi_crossbar_v2_1_vl_rfs.v" \
  2>&1 | tee -a vlogan.log

  vlogan -work xil_defaultlib $vlogan_opts +v2k +incdir+"$ref_dir/../../../../FASEC_prototype.srcs/sources_1/bd/system_design/ipshared/7dd0/hdl" +incdir+"$ref_dir/../../../../FASEC_prototype.srcs/sources_1/bd/system_design/ipshared/7e3a/hdl" \
    "$ref_dir/../../../bd/system_design/ip/system_design_xbar_1/sim/system_design_xbar_1.v" \
    "$ref_dir/../../../bd/system_design/ip/system_design_xbar_0/sim/system_design_xbar_0.v" \
  2>&1 | tee -a vlogan.log

  vhdlan -work xil_defaultlib $vhdlan_opts \
    "$ref_dir/../../../bd/system_design/hdl/system_design.vhd" \
  2>&1 | tee -a vhdlan.log

  vlogan -work axi_protocol_converter_v2_1_11 $vlogan_opts +v2k +incdir+"$ref_dir/../../../../FASEC_prototype.srcs/sources_1/bd/system_design/ipshared/7dd0/hdl" +incdir+"$ref_dir/../../../../FASEC_prototype.srcs/sources_1/bd/system_design/ipshared/7e3a/hdl" \
    "$ref_dir/../../../../FASEC_prototype.srcs/sources_1/bd/system_design/ipshared/df1b/hdl/axi_protocol_converter_v2_1_vl_rfs.v" \
  2>&1 | tee -a vlogan.log

  vlogan -work xil_defaultlib $vlogan_opts +v2k +incdir+"$ref_dir/../../../../FASEC_prototype.srcs/sources_1/bd/system_design/ipshared/7dd0/hdl" +incdir+"$ref_dir/../../../../FASEC_prototype.srcs/sources_1/bd/system_design/ipshared/7e3a/hdl" \
    "$ref_dir/../../../bd/system_design/ip/system_design_auto_pc_0/sim/system_design_auto_pc_0.v" \
    "$ref_dir/../../../bd/system_design/ip/system_design_auto_pc_1/sim/system_design_auto_pc_1.v" \
    "$ref_dir/../../../bd/system_design/ip/system_design_auto_pc_2/sim/system_design_auto_pc_2.v" \
    "$ref_dir/../../../bd/system_design/ip/system_design_auto_pc_3/sim/system_design_auto_pc_3.v" \
  2>&1 | tee -a vlogan.log


  vlogan -work xil_defaultlib $vlogan_opts +v2k \
    glbl.v \
  2>&1 | tee -a vlogan.log

}

# RUN_STEP: <elaborate>
elaborate()
{
  vcs $vcs_elab_opts xil_defaultlib.system_design xil_defaultlib.glbl -o system_design_simv
}

# RUN_STEP: <simulate>
simulate()
{
  ./system_design_simv $vcs_sim_opts -do simulate.do
}

# STEP: setup
setup()
{
  case $1 in
    "-lib_map_path" )
      if [[ ($2 == "") ]]; then
        echo -e "ERROR: Simulation library directory path not specified (type \"./system_design.sh -help\" for more information)\n"
        exit 1
      fi
      create_lib_mappings $2
    ;;
    "-reset_run" )
      reset_run
      echo -e "INFO: Simulation run files deleted.\n"
      exit 0
    ;;
    "-noclean_files" )
      # do not remove previous data
    ;;
    * )
      create_lib_mappings $2
  esac

  create_lib_dir

  # Add any setup/initialization commands here:-

  # <user specific commands>

}

# Define design library mappings
create_lib_mappings()
{
  file="synopsys_sim.setup"
  if [[ -e $file ]]; then
    if [[ ($1 == "") ]]; then
      return
    else
      rm -rf $file
    fi
  fi

  touch $file

  if [[ ($1 != "") ]]; then
    lib_map_path="$1"
  else
    lib_map_path="/home/xilinx/projects/FASEC_prototype/FASEC_prototype.cache/compile_simlib/vcs"
  fi

  for (( i=0; i<${#design_libs[*]}; i++ )); do
    lib="${design_libs[i]}"
    mapping="$lib:$sim_lib_dir/$lib"
    echo $mapping >> $file
  done

  if [[ ($lib_map_path != "") ]]; then
    incl_ref="OTHERS=$lib_map_path/synopsys_sim.setup"
    echo $incl_ref >> $file
  fi
}

# Create design library directory paths
create_lib_dir()
{
  if [[ -e $sim_lib_dir ]]; then
    rm -rf $sim_lib_dir
  fi

  for (( i=0; i<${#design_libs[*]}; i++ )); do
    lib="${design_libs[i]}"
    lib_dir="$sim_lib_dir/$lib"
    if [[ ! -e $lib_dir ]]; then
      mkdir -p $lib_dir
    fi
  done
}

# Delete generated data from the previous run
reset_run()
{
  files_to_remove=(ucli.key system_design_simv vlogan.log vhdlan.log compile.log elaborate.log simulate.log .vlogansetup.env .vlogansetup.args .vcs_lib_lock scirocco_command.log 64 AN.DB csrc system_design_simv.daidir)
  for (( i=0; i<${#files_to_remove[*]}; i++ )); do
    file="${files_to_remove[i]}"
    if [[ -e $file ]]; then
      rm -rf $file
    fi
  done

  create_lib_dir
}

# Check command line arguments
check_args()
{
  if [[ ($1 == 1 ) && ($2 != "-lib_map_path" && $2 != "-noclean_files" && $2 != "-reset_run" && $2 != "-help" && $2 != "-h") ]]; then
    echo -e "ERROR: Unknown option specified '$2' (type \"./system_design.sh -help\" for more information)\n"
    exit 1
  fi

  if [[ ($2 == "-help" || $2 == "-h") ]]; then
    usage
  fi
}

# Script usage
usage()
{
  msg="Usage: system_design.sh [-help]\n\
Usage: system_design.sh [-lib_map_path]\n\
Usage: system_design.sh [-reset_run]\n\
Usage: system_design.sh [-noclean_files]\n\n\
[-help] -- Print help information for this script\n\n\
[-lib_map_path <path>] -- Compiled simulation library directory path. The simulation library is compiled\n\
using the compile_simlib tcl command. Please see 'compile_simlib -help' for more information.\n\n\
[-reset_run] -- Recreate simulator setup files and library mappings for a clean run. The generated files\n\
from the previous run will be removed. If you don't want to remove the simulator generated files, use the\n\
-noclean_files switch.\n\n\
[-noclean_files] -- Reset previous run, but do not remove simulator generated files from the previous run.\n\n"
  echo -e $msg
  exit 1
}

# Launch script
run $1 $2
