-- (c) Copyright 1995-2018 Xilinx, Inc. All rights reserved.
-- 
-- This file contains confidential and proprietary information
-- of Xilinx, Inc. and is protected under U.S. and
-- international copyright and other intellectual property
-- laws.
-- 
-- DISCLAIMER
-- This disclaimer is not a license and does not grant any
-- rights to the materials distributed herewith. Except as
-- otherwise provided in a valid license issued to you by
-- Xilinx, and to the maximum extent permitted by applicable
-- law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
-- WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
-- AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
-- BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
-- INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
-- (2) Xilinx shall not be liable (whether in contract or tort,
-- including negligence, or under any other theory of
-- liability) for any loss or damage of any kind or nature
-- related to, arising under or in connection with these
-- materials, including for any direct, or any indirect,
-- special, incidental, or consequential loss or damage
-- (including loss of data, profits, goodwill, or any type of
-- loss or damage suffered as a result of any action brought
-- by a third party) even if such damage or loss was
-- reasonably foreseeable or Xilinx had been advised of the
-- possibility of the same.
-- 
-- CRITICAL APPLICATIONS
-- Xilinx products are not designed or intended to be fail-
-- safe, or for use in any application requiring fail-safe
-- performance, such as life-support or safety devices or
-- systems, Class III medical devices, nuclear facilities,
-- applications related to the deployment of airbags, or any
-- other applications that could lead to death, personal
-- injury, or severe property or environmental damage
-- (individually and collectively, "Critical
-- Applications"). Customer assumes the sole risk and
-- liability of any use of Xilinx products in Critical
-- Applications, subject only to applicable laws and
-- regulations governing limitations on product liability.
-- 
-- THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
-- PART OF THIS FILE AT ALL TIMES.
-- 
-- DO NOT MODIFY THIS FILE.

-- IP VLNV: user.org:user:fasec_hwtest:3.2.7
-- IP Revision: 35

LIBRARY ieee;
USE ieee.std_logic_1164.ALL;
USE ieee.numeric_std.ALL;

ENTITY system_design_fasec_hwtest_0_0 IS
  PORT (
    ps_clk_i : IN STD_LOGIC;
    osc100_clk_i : IN STD_LOGIC;
    FMC2_LA_P_b : INOUT STD_LOGIC_VECTOR(33 DOWNTO 0);
    FMC2_LA_N_b : INOUT STD_LOGIC_VECTOR(33 DOWNTO 0);
    FMC1_LA_P_b : INOUT STD_LOGIC_VECTOR(33 DOWNTO 0);
    FMC1_LA_N_b : INOUT STD_LOGIC_VECTOR(33 DOWNTO 0);
    FMC2_PRSNTM2C_n_i : IN STD_LOGIC;
    FMC2_CLK0M2C_P_i : IN STD_LOGIC;
    FMC2_CLK0M2C_N_i : IN STD_LOGIC;
    FMC2_CLK0C2M_P_o : OUT STD_LOGIC;
    FMC2_CLK0C2M_N_o : OUT STD_LOGIC;
    FMC2_GP0_i : IN STD_LOGIC;
    FMC2_GP1_i : IN STD_LOGIC;
    FMC2_GP2_i : IN STD_LOGIC;
    FMC2_GP3_b : INOUT STD_LOGIC;
    FMC1_PRSNTM2C_n_i : IN STD_LOGIC;
    FMC1_CLK0M2C_P_i : IN STD_LOGIC;
    FMC1_CLK0M2C_N_i : IN STD_LOGIC;
    FMC1_CLK0C2M_P_o : OUT STD_LOGIC;
    FMC1_CLK0C2M_N_o : OUT STD_LOGIC;
    FMC1_GP0_i : IN STD_LOGIC;
    FMC1_GP1_i : IN STD_LOGIC;
    FMC1_GP2_i : IN STD_LOGIC;
    FMC1_GP3_b : INOUT STD_LOGIC;
    pb_gp_n_i : IN STD_LOGIC;
    led_col_pl_o : OUT STD_LOGIC_VECTOR(3 DOWNTO 0);
    led_line_en_pl_o : OUT STD_LOGIC;
    led_line_pl_o : OUT STD_LOGIC;
    watchdog_pl_o : OUT STD_LOGIC;
    dig_in1_i : IN STD_LOGIC;
    dig_in2_i : IN STD_LOGIC;
    dig_in3_n_i : IN STD_LOGIC;
    dig_in4_n_i : IN STD_LOGIC;
    dig_outs_i : OUT STD_LOGIC_VECTOR(3 DOWNTO 0);
    dig_out5_n : OUT STD_LOGIC;
    dig_out6_n : OUT STD_LOGIC;
    gem_status_vector_i : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
    intr_o : OUT STD_LOGIC;
    intr_led_o : OUT STD_LOGIC;
    s00_axi_aclk : IN STD_LOGIC;
    s00_axi_aresetn : IN STD_LOGIC;
    s00_axi_awaddr : IN STD_LOGIC_VECTOR(31 DOWNTO 0);
    s00_axi_awprot : IN STD_LOGIC_VECTOR(2 DOWNTO 0);
    s00_axi_awvalid : IN STD_LOGIC;
    s00_axi_awready : OUT STD_LOGIC;
    s00_axi_wdata : IN STD_LOGIC_VECTOR(31 DOWNTO 0);
    s00_axi_wstrb : IN STD_LOGIC_VECTOR(3 DOWNTO 0);
    s00_axi_wvalid : IN STD_LOGIC;
    s00_axi_wready : OUT STD_LOGIC;
    s00_axi_bresp : OUT STD_LOGIC_VECTOR(1 DOWNTO 0);
    s00_axi_bvalid : OUT STD_LOGIC;
    s00_axi_bready : IN STD_LOGIC;
    s00_axi_araddr : IN STD_LOGIC_VECTOR(31 DOWNTO 0);
    s00_axi_arprot : IN STD_LOGIC_VECTOR(2 DOWNTO 0);
    s00_axi_arvalid : IN STD_LOGIC;
    s00_axi_arready : OUT STD_LOGIC;
    s00_axi_rdata : OUT STD_LOGIC_VECTOR(31 DOWNTO 0);
    s00_axi_rresp : OUT STD_LOGIC_VECTOR(1 DOWNTO 0);
    s00_axi_rvalid : OUT STD_LOGIC;
    s00_axi_rready : IN STD_LOGIC
  );
END system_design_fasec_hwtest_0_0;

ARCHITECTURE system_design_fasec_hwtest_0_0_arch OF system_design_fasec_hwtest_0_0 IS
  ATTRIBUTE DowngradeIPIdentifiedWarnings : STRING;
  ATTRIBUTE DowngradeIPIdentifiedWarnings OF system_design_fasec_hwtest_0_0_arch: ARCHITECTURE IS "yes";
  COMPONENT fasec_hwtest IS
    GENERIC (
      g_S00_AXI_DATA_WIDTH : INTEGER;
      g_S00_AXI_ADDR_WIDTH : INTEGER;
      g_FMC1 : STRING;
      g_FMC2 : STRING;
      g_USE_GEM_LEDS : BOOLEAN
    );
    PORT (
      ps_clk_i : IN STD_LOGIC;
      osc100_clk_i : IN STD_LOGIC;
      FMC2_LA_P_b : INOUT STD_LOGIC_VECTOR(33 DOWNTO 0);
      FMC2_LA_N_b : INOUT STD_LOGIC_VECTOR(33 DOWNTO 0);
      FMC1_LA_P_b : INOUT STD_LOGIC_VECTOR(33 DOWNTO 0);
      FMC1_LA_N_b : INOUT STD_LOGIC_VECTOR(33 DOWNTO 0);
      FMC2_PRSNTM2C_n_i : IN STD_LOGIC;
      FMC2_CLK0M2C_P_i : IN STD_LOGIC;
      FMC2_CLK0M2C_N_i : IN STD_LOGIC;
      FMC2_CLK0C2M_P_o : OUT STD_LOGIC;
      FMC2_CLK0C2M_N_o : OUT STD_LOGIC;
      FMC2_GP0_i : IN STD_LOGIC;
      FMC2_GP1_i : IN STD_LOGIC;
      FMC2_GP2_i : IN STD_LOGIC;
      FMC2_GP3_b : INOUT STD_LOGIC;
      FMC1_PRSNTM2C_n_i : IN STD_LOGIC;
      FMC1_CLK0M2C_P_i : IN STD_LOGIC;
      FMC1_CLK0M2C_N_i : IN STD_LOGIC;
      FMC1_CLK0C2M_P_o : OUT STD_LOGIC;
      FMC1_CLK0C2M_N_o : OUT STD_LOGIC;
      FMC1_GP0_i : IN STD_LOGIC;
      FMC1_GP1_i : IN STD_LOGIC;
      FMC1_GP2_i : IN STD_LOGIC;
      FMC1_GP3_b : INOUT STD_LOGIC;
      pb_gp_n_i : IN STD_LOGIC;
      led_col_pl_o : OUT STD_LOGIC_VECTOR(3 DOWNTO 0);
      led_line_en_pl_o : OUT STD_LOGIC;
      led_line_pl_o : OUT STD_LOGIC;
      watchdog_pl_o : OUT STD_LOGIC;
      dig_in1_i : IN STD_LOGIC;
      dig_in2_i : IN STD_LOGIC;
      dig_in3_n_i : IN STD_LOGIC;
      dig_in4_n_i : IN STD_LOGIC;
      dig_outs_i : OUT STD_LOGIC_VECTOR(3 DOWNTO 0);
      dig_out5_n : OUT STD_LOGIC;
      dig_out6_n : OUT STD_LOGIC;
      gem_status_vector_i : IN STD_LOGIC_VECTOR(15 DOWNTO 0);
      intr_o : OUT STD_LOGIC;
      intr_led_o : OUT STD_LOGIC;
      s00_axi_aclk : IN STD_LOGIC;
      s00_axi_aresetn : IN STD_LOGIC;
      s00_axi_awaddr : IN STD_LOGIC_VECTOR(31 DOWNTO 0);
      s00_axi_awprot : IN STD_LOGIC_VECTOR(2 DOWNTO 0);
      s00_axi_awvalid : IN STD_LOGIC;
      s00_axi_awready : OUT STD_LOGIC;
      s00_axi_wdata : IN STD_LOGIC_VECTOR(31 DOWNTO 0);
      s00_axi_wstrb : IN STD_LOGIC_VECTOR(3 DOWNTO 0);
      s00_axi_wvalid : IN STD_LOGIC;
      s00_axi_wready : OUT STD_LOGIC;
      s00_axi_bresp : OUT STD_LOGIC_VECTOR(1 DOWNTO 0);
      s00_axi_bvalid : OUT STD_LOGIC;
      s00_axi_bready : IN STD_LOGIC;
      s00_axi_araddr : IN STD_LOGIC_VECTOR(31 DOWNTO 0);
      s00_axi_arprot : IN STD_LOGIC_VECTOR(2 DOWNTO 0);
      s00_axi_arvalid : IN STD_LOGIC;
      s00_axi_arready : OUT STD_LOGIC;
      s00_axi_rdata : OUT STD_LOGIC_VECTOR(31 DOWNTO 0);
      s00_axi_rresp : OUT STD_LOGIC_VECTOR(1 DOWNTO 0);
      s00_axi_rvalid : OUT STD_LOGIC;
      s00_axi_rready : IN STD_LOGIC
    );
  END COMPONENT fasec_hwtest;
  ATTRIBUTE X_INTERFACE_INFO : STRING;
  ATTRIBUTE X_INTERFACE_INFO OF s00_axi_aclk: SIGNAL IS "xilinx.com:signal:clock:1.0 s00_axi_aclk CLK";
  ATTRIBUTE X_INTERFACE_INFO OF s00_axi_aresetn: SIGNAL IS "xilinx.com:signal:reset:1.0 s00_axi_aresetn RST";
  ATTRIBUTE X_INTERFACE_INFO OF s00_axi_awaddr: SIGNAL IS "xilinx.com:interface:aximm:1.0 S00_AXI AWADDR";
  ATTRIBUTE X_INTERFACE_INFO OF s00_axi_awprot: SIGNAL IS "xilinx.com:interface:aximm:1.0 S00_AXI AWPROT";
  ATTRIBUTE X_INTERFACE_INFO OF s00_axi_awvalid: SIGNAL IS "xilinx.com:interface:aximm:1.0 S00_AXI AWVALID";
  ATTRIBUTE X_INTERFACE_INFO OF s00_axi_awready: SIGNAL IS "xilinx.com:interface:aximm:1.0 S00_AXI AWREADY";
  ATTRIBUTE X_INTERFACE_INFO OF s00_axi_wdata: SIGNAL IS "xilinx.com:interface:aximm:1.0 S00_AXI WDATA";
  ATTRIBUTE X_INTERFACE_INFO OF s00_axi_wstrb: SIGNAL IS "xilinx.com:interface:aximm:1.0 S00_AXI WSTRB";
  ATTRIBUTE X_INTERFACE_INFO OF s00_axi_wvalid: SIGNAL IS "xilinx.com:interface:aximm:1.0 S00_AXI WVALID";
  ATTRIBUTE X_INTERFACE_INFO OF s00_axi_wready: SIGNAL IS "xilinx.com:interface:aximm:1.0 S00_AXI WREADY";
  ATTRIBUTE X_INTERFACE_INFO OF s00_axi_bresp: SIGNAL IS "xilinx.com:interface:aximm:1.0 S00_AXI BRESP";
  ATTRIBUTE X_INTERFACE_INFO OF s00_axi_bvalid: SIGNAL IS "xilinx.com:interface:aximm:1.0 S00_AXI BVALID";
  ATTRIBUTE X_INTERFACE_INFO OF s00_axi_bready: SIGNAL IS "xilinx.com:interface:aximm:1.0 S00_AXI BREADY";
  ATTRIBUTE X_INTERFACE_INFO OF s00_axi_araddr: SIGNAL IS "xilinx.com:interface:aximm:1.0 S00_AXI ARADDR";
  ATTRIBUTE X_INTERFACE_INFO OF s00_axi_arprot: SIGNAL IS "xilinx.com:interface:aximm:1.0 S00_AXI ARPROT";
  ATTRIBUTE X_INTERFACE_INFO OF s00_axi_arvalid: SIGNAL IS "xilinx.com:interface:aximm:1.0 S00_AXI ARVALID";
  ATTRIBUTE X_INTERFACE_INFO OF s00_axi_arready: SIGNAL IS "xilinx.com:interface:aximm:1.0 S00_AXI ARREADY";
  ATTRIBUTE X_INTERFACE_INFO OF s00_axi_rdata: SIGNAL IS "xilinx.com:interface:aximm:1.0 S00_AXI RDATA";
  ATTRIBUTE X_INTERFACE_INFO OF s00_axi_rresp: SIGNAL IS "xilinx.com:interface:aximm:1.0 S00_AXI RRESP";
  ATTRIBUTE X_INTERFACE_INFO OF s00_axi_rvalid: SIGNAL IS "xilinx.com:interface:aximm:1.0 S00_AXI RVALID";
  ATTRIBUTE X_INTERFACE_INFO OF s00_axi_rready: SIGNAL IS "xilinx.com:interface:aximm:1.0 S00_AXI RREADY";
BEGIN
  U0 : fasec_hwtest
    GENERIC MAP (
      g_S00_AXI_DATA_WIDTH => 32,
      g_S00_AXI_ADDR_WIDTH => 32,
      g_FMC1 => "EDA-03287",
      g_FMC2 => "EDA-03287",
      g_USE_GEM_LEDS => false
    )
    PORT MAP (
      ps_clk_i => ps_clk_i,
      osc100_clk_i => osc100_clk_i,
      FMC2_LA_P_b => FMC2_LA_P_b,
      FMC2_LA_N_b => FMC2_LA_N_b,
      FMC1_LA_P_b => FMC1_LA_P_b,
      FMC1_LA_N_b => FMC1_LA_N_b,
      FMC2_PRSNTM2C_n_i => FMC2_PRSNTM2C_n_i,
      FMC2_CLK0M2C_P_i => FMC2_CLK0M2C_P_i,
      FMC2_CLK0M2C_N_i => FMC2_CLK0M2C_N_i,
      FMC2_CLK0C2M_P_o => FMC2_CLK0C2M_P_o,
      FMC2_CLK0C2M_N_o => FMC2_CLK0C2M_N_o,
      FMC2_GP0_i => FMC2_GP0_i,
      FMC2_GP1_i => FMC2_GP1_i,
      FMC2_GP2_i => FMC2_GP2_i,
      FMC2_GP3_b => FMC2_GP3_b,
      FMC1_PRSNTM2C_n_i => FMC1_PRSNTM2C_n_i,
      FMC1_CLK0M2C_P_i => FMC1_CLK0M2C_P_i,
      FMC1_CLK0M2C_N_i => FMC1_CLK0M2C_N_i,
      FMC1_CLK0C2M_P_o => FMC1_CLK0C2M_P_o,
      FMC1_CLK0C2M_N_o => FMC1_CLK0C2M_N_o,
      FMC1_GP0_i => FMC1_GP0_i,
      FMC1_GP1_i => FMC1_GP1_i,
      FMC1_GP2_i => FMC1_GP2_i,
      FMC1_GP3_b => FMC1_GP3_b,
      pb_gp_n_i => pb_gp_n_i,
      led_col_pl_o => led_col_pl_o,
      led_line_en_pl_o => led_line_en_pl_o,
      led_line_pl_o => led_line_pl_o,
      watchdog_pl_o => watchdog_pl_o,
      dig_in1_i => dig_in1_i,
      dig_in2_i => dig_in2_i,
      dig_in3_n_i => dig_in3_n_i,
      dig_in4_n_i => dig_in4_n_i,
      dig_outs_i => dig_outs_i,
      dig_out5_n => dig_out5_n,
      dig_out6_n => dig_out6_n,
      gem_status_vector_i => gem_status_vector_i,
      intr_o => intr_o,
      intr_led_o => intr_led_o,
      s00_axi_aclk => s00_axi_aclk,
      s00_axi_aresetn => s00_axi_aresetn,
      s00_axi_awaddr => s00_axi_awaddr,
      s00_axi_awprot => s00_axi_awprot,
      s00_axi_awvalid => s00_axi_awvalid,
      s00_axi_awready => s00_axi_awready,
      s00_axi_wdata => s00_axi_wdata,
      s00_axi_wstrb => s00_axi_wstrb,
      s00_axi_wvalid => s00_axi_wvalid,
      s00_axi_wready => s00_axi_wready,
      s00_axi_bresp => s00_axi_bresp,
      s00_axi_bvalid => s00_axi_bvalid,
      s00_axi_bready => s00_axi_bready,
      s00_axi_araddr => s00_axi_araddr,
      s00_axi_arprot => s00_axi_arprot,
      s00_axi_arvalid => s00_axi_arvalid,
      s00_axi_arready => s00_axi_arready,
      s00_axi_rdata => s00_axi_rdata,
      s00_axi_rresp => s00_axi_rresp,
      s00_axi_rvalid => s00_axi_rvalid,
      s00_axi_rready => s00_axi_rready
    );
END system_design_fasec_hwtest_0_0_arch;
